Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000495 [DCSS] Bug Report minor always 2010-01-21 22:37 2018-08-05 08:45
Reporter rob View Status public  
Assigned To
Priority normal Resolution done  
Status closed   Product Branch 0.6 ancient branch
Summary 0000495: tiles: long notes blank intermediate lines
Description If you enter a long note forcing the message window to scroll twice, the middle line is shown blank. This is not the case in the console version -- something's wrong in the interaction between wrapcprintf and the message window TextRegion probably.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0012336)
KiloByte (manager)
2011-04-10 20:39

Sadly, even though I overhauled a good part of that code, I didn't mess enough with redraw to fix this.

I wonder, perhaps we could just brute-force it by redrawing the whole message window after every keypress?
(0032503)
aidanholm (developer)
2018-08-05 08:44

No longer an issue in 0.22 trunk

- Issue History
Date Modified Username Field Change
2010-01-21 22:37 rob New Issue
2011-04-10 20:39 KiloByte Note Added: 0012336
2018-08-05 08:44 aidanholm Note Added: 0032503
2018-08-05 08:44 aidanholm Status new => closed
2018-08-05 08:45 aidanholm Resolution open => done
2018-08-05 08:45 aidanholm Fixed in Branch => 0.22 development branch


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker